View Issue Details

IDProjectCategoryView StatusLast Update
0004960Kali Linux[All Projects] General Bugpublic2018-09-19 06:39
ReporterbroomdodgerAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versionkali-dev 
Target VersionFixed in Version2018.4 
Summary0004960: video on kali.org NOT playing after upgrade
Descriptionthe video on this page does NOT play after upgrade
https://www.kali.org/
https://vimeo.com/226942296

checked the troubleshooting page:
https://help.vimeo.com/hc/en-us/articles/115015677227-Troubleshoot-player-error-messages

kali-linux-light-2018-W12-amd64.iso
vimeo plays

kali-linux-light-2018-W36-amd64.iso 02-Sep-2018 02:27
vimeo does NOT play - libavcodec58 ???

daily 20180906
kali-linux-light-rolling-amd64.iso 06-Sep-2018 02:22
vimeo does NOT play - libavcodec58 ???

# .......1.........2.........3.........4.........5.........6....
kali-linux-light-2018-W12-amd64.iso
vimeo plays

sudo apt update
sudo apt upgrade
vimeo still plays
BUT if autoremove is run the vimeo does NOT play.

# .......1.........2.........3.........4.........5.........6....
In W36 and 20180906 daily:
libavcodec57 has been replaced with libavcodec58
and the vimeo on the kali.org page fails.

All three of the following groups depend on libavcodec57.

group 1
libavutil55
libswresample2
libavcodec57

group 2
libswresample2
libavcodec57

group 3
libx265-146 - H.265/HEVC
libavcodec57

# .......1.........2.........3.........4.........5.........6....

Activities

broomdodger

broomdodger

2018-09-07 00:30

reporter  

video-fail.jpg (57,563 bytes)
video-fail.jpg (57,563 bytes)
broomdodger

broomdodger

2018-09-07 00:42

reporter   ~0009602

the vimeo fails to play in firefox after upgrade or with w36 or daily
but plays in chromium !!! on the same install.
broomdodger

broomdodger

2018-09-09 06:28

reporter   ~0009616

kali-linux-light-2018-W37-amd64.iso 2018-09-09 02:22 865M
vimeo does NOT play

the video on this page does NOT play
https://www.kali.org/
https://vimeo.com/226942296
broomdodger

broomdodger

2018-09-13 07:03

reporter   ~0009711

Well...
It does not look like it has anything to do with libavcodec58 or the upgrade to ffmpeg 4.0.2 and related packages.

All video and audio I have tried play with CHROMIUM.
BUT most fail with FIREFOX even html5.

What is happening?
xubuntu WORKS
manjaro WORKS
kali-linux-light-2018-W12-amd64.iso WORKS

all current daily and weekly FAIL
atdtphreaker

atdtphreaker

2018-09-13 07:09

reporter   ~0009712

...experiencing SAME.

Thanks for YOUR time.
sbrun

sbrun

2018-09-18 10:03

manager   ~0009745

Please update your system to get new firefox-esr version 60.2.0esr-1 (it has just been imported into kali-rolling). It fixes the issue for me.
Let us know if you still have the issue.
atdtphreaker

atdtphreaker

2018-09-18 13:05

reporter   ~0009746

@sbrun

Working following UPDATE. Thank you.
broomdodger

broomdodger

2018-09-18 16:26

reporter   ~0009747

firefox-esr version 60.2.0esr-1
video and audio I have tried now work again
Please close this issue
Thank you

Issue History

Date Modified Username Field Change
2018-09-07 00:30 broomdodger New Issue
2018-09-07 00:30 broomdodger File Added: video-fail.jpg
2018-09-07 00:42 broomdodger Note Added: 0009602
2018-09-09 06:28 broomdodger Note Added: 0009616
2018-09-13 07:03 broomdodger Note Added: 0009711
2018-09-13 07:09 atdtphreaker Note Added: 0009712
2018-09-18 09:27 sbrun Assigned To => sbrun
2018-09-18 09:27 sbrun Status new => acknowledged
2018-09-18 10:03 sbrun Status acknowledged => feedback
2018-09-18 10:03 sbrun Note Added: 0009745
2018-09-18 13:05 atdtphreaker Note Added: 0009746
2018-09-18 16:26 broomdodger Note Added: 0009747
2018-09-18 16:26 broomdodger Status feedback => assigned
2018-09-19 06:39 sbrun Status assigned => resolved
2018-09-19 06:39 sbrun Resolution open => fixed
2018-09-19 06:39 sbrun Fixed in Version => 2018.4